Package twisted :: Package internet :: Module protocol

[frames | no frames]

## Module twisted.internet.protocol

Standard implementations of Twisted protocol-related interfaces.

Start here if you are looking to write a new protocol implementation for Twisted. The Protocol class contains some introductory material.

API Stability: stable, other than ClientCreator.

Maintainer: Itamar Shtull-Trauring

Classes
`_InstanceFactory` | Factory used by ClientCreator.
`AbstractDatagramProtocol` | Abstract protocol for datagram-oriented transports, e.g.
`BaseProtocol` | This is the abstract superclass of all protocols.
`ClientCreator` | Useful for cases when we don't really need a factory.
`ClientFactory` | A Protocol factory for clients.
`ConnectedDatagramProtocol` | Protocol for connected datagram-oriented transport.
`ConsumerToProtocolAdapter` | This class is unstable.
`DatagramProtocol` | Protocol for datagram-oriented transport, e.g.
`Factory` | This is a factory which produces protocols.
`FileWrapper` | A wrapper around a file-like object to make it behave as a Transport.
`ProcessProtocol` | Processes have some additional methods besides receiving data.
`Protocol` |
`ProtocolToConsumerAdapter` | This class is unstable.
`ReconnectingClientFactory` | My clients auto-reconnect with an exponential back-off.
`ServerFactory` | Subclass this to indicate that your protocol.Factory is only usable for servers.

Variable Summary
`Failure` | `connectionDone` = `<twisted.python.failure.Failure twisted...`

Variable Details

### connectionDone

  Type:
    `Failure`
  Value:

        <twisted.python.failure.Failure twisted.internet.error.ConnectionDone>

Generated by Epydoc 2.0 on Sat May 15 20:07:44 2004 | http://epydoc.sf.net